<?xml version="1.0" encoding="UTF-8"?>
<application id="S1_GRD_RTC">
    <jobTemplates>
        <!--ESA SNAP processing job template-->
        <jobTemplate id="template_A">
            <streamingExecutable>/application/processor/run.py</streamingExecutable>
            <defaultParameters>
                <parameter id="swath" title="Swath identifier"
                           abstract="Swath identifier that corresponds to precise incidence angles for the sensor"
                           scope="runtime" type="opensearch" target="eop:swathIdentifier">IW</parameter>
                <parameter id="product_type" title="Sentinel-1 product type"
                           abstract="Sentinel-1 product type"
                           scope="runtime" type="opensearch" target="eop:productType">GRD</parameter>
                <parameter id="platform" title="Platform Short Name"
                           abstract="The Sentinel-1 platform short name"
                           scope="runtime" type="opensearch" target="eop:platform">S1A</parameter>
                <parameter id="startdate" title="Start date"
                           abstract="Start date of the TOI. Used as queryable for the Sentinel-1 Level 1 catalogue"
                           scope="runtime" type="opensearch" target="time:start">2020-06-03</parameter>
                <parameter id="enddate" title="End date"
                           abstract="End date of the TOI. Used as queryable for the Sentinel-1 Level 1 catalogue"
                           scope="runtime" type="opensearch" target="time:end">2020-06-04</parameter>
                <parameter id="qbbox" title="Bounding Box" abstract="The bounding box parameter" scope="runtime"
                           type="opensearch" target="geo:geometry">POLYGON((-6.4946%2036.8423%200,-6.4946%2037.1565%200,-6.2474%2037.1565%200,-6.2474%2036.8423%200,-6.4946%2036.8423%200))</parameter>
            </defaultParameters>
            <defaultJobconf>
                <!--set the timeout to 20 min-->
                <property id="mapred.task.timeout">1200000</property>
            </defaultJobconf>
        </jobTemplate>
    </jobTemplates>
    <workflow id="processor" title="Sentinel-1 GRD RTC" abstract="Sentinel-1 GRD RTC backscatter processing">
        <workflowVersion>1.0</workflowVersion>
        <node id="S1_RTC_process">
            <job id="template_A"/>
            <sources>
                <source refid="cas:series">https://catalog.terradue.com/sentinel1/description</source>
            </sources>
            <parameters>
            </parameters>
        </node>
    </workflow>
</application>
